//+------------------------------------------------------------------+
//|                                             VininI ADX Color.mq4 |
//|                                         Victor Nicolaev aka Vinin|
//|                                                    vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Victor Nicolaev aka Vinin"
#property link      "mailto: vinin@mail.ru"

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 LightGray
#property indicator_color2 Green
#property indicator_color3 Red
#property indicator_color4 Blue
#property indicator_width4 2

//---- input parameters
extern int period=14;
extern int price=PRICE_CLOSE;


extern int Limit=1440;
//---- buffers

double ADX_MAIN[];
double ADX_PLUS[];
double ADX_MINUS[];
double ADX_SIGNAL[];

double LRMA[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
//---- drawing settings
   
   for (int i=0;i<4;i++) {
      SetIndexStyle(i,DRAW_LINE);
      SetIndexDrawBegin(0,period);
   }      
   SetIndexBuffer(0,ADX_MAIN);
   SetIndexBuffer(1,ADX_PLUS);
   SetIndexBuffer(2,ADX_MINUS);
   SetIndexBuffer(3,ADX_SIGNAL);

   IndicatorShortName("ADX("+period+")");
   SetIndexLabel(0,"MAIN");
   SetIndexLabel(1,"PLUS");
   SetIndexLabel(2,"MINUS");
   SetIndexLabel(3,"SIGNAL");


   return(0); }//int init() 
//+------------------------------------------------------------------+
int start() {
   int limit;
   int counted_bars=IndicatorCounted();
   int i;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   if (limit>Limit && Limit>0) limit = Limit;
   for (i = limit;i>=0;i--){
      ADX_PLUS[i]  = iADX(NULL, 0, period, price, MODE_PLUSDI, i);
      ADX_MINUS[i] = iADX(NULL, 0, period, price, MODE_MINUSDI,i);
      ADX_MAIN[i]  = iADX(NULL, 0, period, price, MODE_MAIN,   i);
      ADX_SIGNAL[i]=EMPTY_VALUE;
      if (ADX_MAIN[i]<=ADX_PLUS[i] && ADX_MAIN[i] <= ADX_MINUS[i]) 
         ADX_SIGNAL[i]=ADX_MAIN[i];
   }
   
   return(0); 
}// int start()


